org.apache.maven.project

## Class InvalidProjectModelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.project.ProjectBuildingException
      - - org.apache.maven.project.InvalidProjectModelException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidProjectModelException
    extends ProjectBuildingException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidProjectModelException(java.lang.String projectId, java.lang.String pomLocation, java.lang.String message)`
`InvalidProjectModelException(java.lang.String projectId, java.lang.String pomLocation, java.lang.String message, ModelValidationResult validationResult)`
`InvalidProjectModelException(java.lang.String projectId, java.lang.String pomLocation, java.lang.String message, java.lang.Throwable cause)`

### Method Summary

Methods
`java.lang.String` `getMessage()`
`java.lang.String` `getPomLocation()`
`ModelValidationResult` `getValidationResult()`

### Methods inherited from class org.apache.maven.project.ProjectBuildingException

`getProjectId`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidProjectModelException

    public InvalidProjectModelException(java.lang.String projectId,
                                java.lang.String pomLocation,
                                java.lang.String message,
                                java.lang.Throwable cause)

#### InvalidProjectModelException

    public InvalidProjectModelException(java.lang.String projectId,
                                java.lang.String pomLocation,
                                java.lang.String message,
                                ModelValidationResult validationResult)

#### InvalidProjectModelException

    public InvalidProjectModelException(java.lang.String projectId,
                                java.lang.String pomLocation,
                                java.lang.String message)

### Method Detail

#### getPomLocation

    public final java.lang.String getPomLocation()

#### getValidationResult

    public final ModelValidationResult getValidationResult()

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `ProjectBuildingException`